# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Public Member Functions | Protected Attributes

# vl::RenderQueue Class Reference

The RenderQueue class collects a list of RenderToken objects to be sorted and rendered. More...

`#include <RenderQueue.hpp>`

Inheritance diagram for vl::RenderQueue:

List of all members.

## Classes

class | Sorter

## Public Member Functions

| RenderQueue ()
const RenderToken * | at (int i) const
RenderToken * | at (int i)
RenderToken * | newToken (bool multipass)
void | clear ()
bool | empty ()
int | size () const
void | sort (RenderQueueSorter *sorter, Camera *camera)

## Protected Attributes

std::vector< ref< RenderToken > > | mList
std::vector< ref< RenderToken > > | mListMP
int | mSize
int | mSizeMP

## Detailed Description

The RenderQueue class collects a list of RenderToken objects to be sorted and rendered.

Definition at line 45 of file RenderQueue.hpp.

## Constructor & Destructor Documentation

vl::RenderQueue::RenderQueue | ( | ) | `[inline]`

Definition at line 50 of file RenderQueue.hpp.

References mList, mListMP, and VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

const RenderToken* vl::RenderQueue::at | ( | int | i ) | const`[inline]`

Definition at line 57 of file RenderQueue.hpp.

References mList.

Referenced by vl::Renderer::render(), vl::EdgeRenderer::render(), vl::OcclusionCullRenderer::render_pass1(), vl::OcclusionCullRenderer::render_pass2(), and sort().

RenderToken* vl::RenderQueue::at | ( | int | i ) | `[inline]`

Definition at line 59 of file RenderQueue.hpp.

References mList.

RenderToken* vl::RenderQueue::newToken | ( | bool | multipass ) | `[inline]`

Definition at line 61 of file RenderQueue.hpp.

References mList, mListMP, mSize, and mSizeMP.

Referenced by vl::Rendering::fillRenderQueue().

void vl::RenderQueue::clear | ( | ) | `[inline]`

Definition at line 79 of file RenderQueue.hpp.

References mSize, and mSizeMP.

Referenced by vl::Rendering::render().

bool vl::RenderQueue::empty | ( | ) | `[inline]`

Definition at line 85 of file RenderQueue.hpp.

References mSize.

int vl::RenderQueue::size | ( | ) | const`[inline]`

Definition at line 90 of file RenderQueue.hpp.

References mSize.

Referenced by vl::Renderer::render(), vl::EdgeRenderer::render(), vl::OcclusionCullRenderer::render_pass1(), vl::OcclusionCullRenderer::render_pass2(), and sort().

void vl::RenderQueue::sort | ( | RenderQueueSorter * | sorter,
|  | Camera * | camera
| ) |  | `[inline]`

Definition at line 95 of file RenderQueue.hpp.

References at(), vl::Renderable::boundingBox(), vl::AABB::center(), vl::RenderQueueSorter::confirmZCameraDistanceNeed(), vl::AABB::isNull(), vl::RenderToken::mActor, vl::RenderToken::mCameraDistance, vl::RenderQueueSorter::mightNeedZCameraDistance(), mList, vl::RenderToken::mRenderable, size(), vl::Actor::transform(), vl::Camera::viewMatrix(), VL_CHECK, and vl::Transform::worldMatrix().

Referenced by vl::Rendering::render().

## Member Data Documentation

std::vector< ref<RenderToken> > vl::RenderQueue::mList`[protected]`

Definition at line 136 of file RenderQueue.hpp.

Referenced by at(), newToken(), RenderQueue(), and sort().

std::vector< ref<RenderToken> > vl::RenderQueue::mListMP`[protected]`

Definition at line 137 of file RenderQueue.hpp.

Referenced by newToken(), and RenderQueue().

int vl::RenderQueue::mSize`[protected]`

Definition at line 138 of file RenderQueue.hpp.

Referenced by clear(), empty(), newToken(), and size().

int vl::RenderQueue::mSizeMP`[protected]`

Definition at line 139 of file RenderQueue.hpp.

Referenced by clear(), and newToken().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/RenderQueue.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:45.
Permission is granted to use this page to write and publish articles regarding Visualization Library.